> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get general



## OpenAPI

````yaml /openapi/metrics.json get /v1/crm/metrics/transactions/general/
openapi: 3.0.3
info:
  title: Yume API — Аналитика
  version: 1.0.0
  description: Системные метрики, аналитика и отчётность.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/crm/metrics/transactions/general/:
    get:
      tags:
        - transactions
      summary: Get general
      operationId: transactions_general_list
      parameters:
        - in: query
          name: client
          schema:
            type: number
        - in: query
          name: content_type
          schema:
            type: string
            enum:
              - maintenance
              - request
              - sale
              - workshop
          description: |-
            * `request` - request
            * `sale` - sale
            * `workshop` - workshop
            * `maintenance` - maintenance
        - in: query
          name: created_at__date__gte
          schema:
            type: string
            format: date
        - in: query
          name: created_at__date__lte
          schema:
            type: string
            format: date
        - in: query
          name: created_by
          schema:
            type: integer
        - in: query
          name: created_by__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - in: query
          name: maintenance__isnull
          schema:
            type: boolean
        - in: query
          name: method
          schema:
            type: integer
            title: Способ
            enum:
              - 0
              - 1
          description: |-
            * `0` - Приход
            * `1` - Расход
        - in: query
          name: method__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - name: ordering
          required: false
          in: query
          description: Which field to use when ordering the results.
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: pageSize
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: refund
          schema:
            type: boolean
        - in: query
          name: rental_point
          schema:
            type: number
        - in: query
          name: request__isnull
          schema:
            type: boolean
        - in: query
          name: request__status
          schema:
            type: integer
            title: Статус
            enum:
              - 0
              - 1
              - 2
              - 3
              - 4
              - 5
              - 6
          description: |-
            * `0` - Запрос
            * `1` - Забронировано
            * `2` - В аренде
            * `3` - Отменено
            * `4` - Завершено
            * `5` - Должник
            * `6` - Просрочка
        - in: query
          name: request__status__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - in: query
          name: sale__isnull
          schema:
            type: boolean
        - name: search
          required: false
          in: query
          description: A search term.
          schema:
            type: string
        - in: query
          name: status
          schema:
            type: string
            title: Статус
            enum:
              - expired
              - failure
              - pending
              - success
          description: |-
            * `pending` - Ожидает оплаты
            * `success` - Успешно
            * `failure` - Ошибка
            * `expired` - Истёк срок
        - in: query
          name: status__in
          schema:
            type: array
            items:
              type: string
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - in: query
          name: type
          schema:
            type: integer
        - in: query
          name: type__in
          schema:
            type: array
            items:
              type: integer
          description: Несколько значений могут быть разделены запятыми.
          explode: false
          style: form
        - in: query
          name: workshop__isnull
          schema:
            type: boolean
        - $ref: '#/components/parameters/TenantId'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedMetricsTransactionGeneralList'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    PaginatedMetricsTransactionGeneralList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/MetricsTransactionGeneral'
    MetricsTransactionGeneral:
      type: object
      properties:
        date:
          type: string
          format: date
        request:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        shop:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        workshop:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        maintenance:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
      required:
        - amount
        - date
        - maintenance
        - request
        - shop
        - workshop
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````